MOPD(8)

NAME
mopd - Maintenance Operations Protocol (MOP) Loader Daemon

SYNOPSIS
mopd [-adf] [-s mopdir] [interface] [...]

DESCRIPTION
mopd services DEC Maintenance Operations Protocol (MOP) Load requests on the Ethernet connected to interface or all interfaces if the -a option is given.

In a load request received by mopd a filename can be given by the client. This is the normal case for terminal servers. If a filename isn't in the client load request mopd must know what image to load.

Upon receiving a request, mopd checks if the requested file exists in /tftpboot/mop (unless the -s option is given, see below); the filename is normally uppercase and with an extension of .SYS. If the filename isn't given, the Ethernet address of the target is used as the filename, e.g., 08002b09f4de.SYS, and it might be a soft link to another file.

mopd supports two kinds of files. The first file type checked for is the a.out(5) format. If not, a couple of Digital's formats are checked.

In normal operation, mopd forks a copy of itself and runs in the background. Anomalies and errors are reported via syslog(3).

OPTIONS

-a  Listen on all the Ethernets attached to the system. If -a is omitted, an interface must be specified.

-d  Run in debug mode, with all the output to stdout. The process will run in the foreground.

-f  Run in the foreground.

-s  Change the directory to look for files in from /tftpboot/mop to mopdir.

FILES
/tftpboot/mop

NOTES
mopd automatically appends an upper case .SYS to the filename provided by the client. The typical client sends the requested file name in upper case.

SEE ALSO
mopchk(1), mopcopy(1), mopprobe(1), moptrace(1), bpf(4) DECnet Digital Network Architecture Phase IV, Maintenance Operations Functional Specification V3.0.0, AA-X436A-TK. DECnet Digital Network Architecture, Maintenance Operations Protocol Functional Specification V4.0.0, EK-DNA11-FS-001.

AUTHORS
Mats O Jansson <moj@stacken.kth.se>